import React, { useEffect } from 'react';
import { Helmet } from 'react-helmet';
import $ from 'jquery';
import { makeUtagConf } from '@politico/analytics-tracker';

var cookieBlocker = (function () {
  window.document.cookie = '__adblocker=; expires=Thu, 01 Jan 1970 00:00:00 GMT; path=/';

  window.setNptTechAdblockerCookie = function (adblocker) {
    var d = new Date();
    d.setTime(d.getTime() + 60 * 60 * 24 * 2 * 1000);
    window.document.cookie = '__adblocker=' + (adblocker ? 'true' : 'false') + '; expires=' + d.toUTCString() + '; path=/';
  };

  var script = window.document.createElement('script');
  script.setAttribute('async', true);
  script.setAttribute('src', '//www.npttech.com/advertising.js');
  script.setAttribute('onerror', 'setNptTechAdblockerCookie(true);');
  window.document.getElementsByTagName('head')[0].appendChild(script);
});

function responsiveAdScript () {
  var b = function b() {
    var a = document.createElement('p');
    a.style.width = '100%';
    a.style.height = '200px';
    var b = document.createElement('div');
    b.style.position = 'absolute';
    b.style.top = '0px';
    b.style.left = '0px';
    b.style.visibility = 'hidden';
    b.style.width = '200px';
    b.style.height = '150px';
    b.style.overflow = 'hidden';
    b.appendChild(a);
    window.document.body.appendChild(b);
    var c = a.offsetWidth;
    b.style.overflow = 'scroll';
    var d = a.offsetWidth;
    return c === d && (d = b.clientWidth), document.body.removeChild(b), c - d;
  };

  var c = function c() {
    typeof googletag !== 'undefined' && window.googletag.cmd.push(function () {
      window.googletag.pubads().refresh();
    });
  };

  var d = function d() {
    var a = 'alpha';
    return i >= 748 && i < 990 ? a = 'beta' : i >= 990 && i < l ? a = 'gamma' : i >= l && i < 1028 ? a = 'delta' : i >= 1028 && (a = 'epsilon'), a != 'epsilon' && a != 'delta' && ($('.global-utility-bar .reveal-toggle .reveal').removeClass('is-active'), $('.utility-bar-bottom').removeClass('is-active'), $('.dynamic-ad-wrapper .ad-slot').remove(), $('.global-utility-bar .dynamic-ad-wrapper').html('')), a;
  };

  var e = {
    currentAdThreshold: ''
  };

  var f = function f() {
    var a = d();
    e.currentAdThreshold !== a && (e.currentAdThreshold = a, c());
  };

  var g = function g() {
    e.currentAdThreshold = d();
  };

  $(window).on('resize', function () {
    i = document.documentElement.clientWidth + h, f();
  });
  var h = b();
  var i = document.documentElement.clientWidth + h;
  var l = 1012;
  g();
}

var adFixCode = (function () {
  window.gptadslots = [];
  window.googletag = window.googletag || {};
  window.googletag.cmd = window.googletag.cmd || [];

  (function () {
    var gads = document.createElement('script');
    gads.async = true;
    gads.type = 'text/javascript';
    var useSSL = document.location.protocol == 'https:';
    gads.src = (useSSL ? 'https:' : 'http:') + '//securepubads.g.doubleclick.net/tag/js/gpt.js';
    var node = document.getElementsByTagName('script')[0];
    node.parentNode.insertBefore(gads, node);
  })();
});

var initUtag = (function (inputConf) {
  if (typeof window === 'undefined') {
    return;
  }

  if (window.UTAG_SCRIPTS_LOADED === true) {
    return;
  }

  if (inputConf.activate === false) {
    return;
  } // return;


  window.jQuery = $;
  window.$ = $;
  cookieBlocker();
  console.log('\n\nInitializing Utag\n\n');
  window.utag_data = makeUtagConf(inputConf);
  window.utag_data.distribution_channel = 'politico';
  var utagScript = window.document.createElement('script');
  utagScript.src = '//tags.tiqcdn.com/utag/politico/main/prod/utag.js';
  utagScript.type = 'text/javascript';
  utagScript.async = true;
  var firstScriptTag = window.document.getElementsByTagName('script')[0];
  firstScriptTag.parentNode.insertBefore(utagScript, firstScriptTag); // Responsive Ad Script

  responsiveAdScript(); // Ad Fix Code

  adFixCode();
  window.UTAG_SCRIPTS_LOADED = true;
});

var Head = function Head(props) {
  var Helmet = props.helmet,
      trackView = props.trackView;
  useEffect(function () {
    if (!props['no-utag'] && window.UTAG_SCRIPTS_LOADED === true) {
      trackView(props.utag.pageName);
    }
  }, [props.utag.pageName, trackView, props['no-utag']]);
  useEffect(function () {
    if (!props['no-utag']) {
      initUtag(props.utag);
    }
  }, [props.utag, props['no-utag']]);
  return React.createElement(Helmet, null, !props['no-html'] && React.createElement("html", {
    lang: "en",
    dir: "ltr"
  }), (props.title || props.pageName) && React.createElement("title", null, props.seo.title || props.title || props.pageName), !props['no-favicon'] && [React.createElement("link", {
    key: "apple-touch-icon:60x60",
    rel: "apple-touch-icon",
    sizes: "60x60",
    href: "https://www.politico.com/interactives/cdn/images/icon-set/apple-icon-60x60.png"
  }), React.createElement("link", {
    key: "apple-touch-icon:72x72",
    rel: "apple-touch-icon",
    sizes: "72x72",
    href: "https://www.politico.com/interactives/cdn/images/icon-set/apple-icon-72x72.png"
  }), React.createElement("link", {
    key: "apple-touch-icon:76x76",
    rel: "apple-touch-icon",
    sizes: "76x76",
    href: "https://www.politico.com/interactives/cdn/images/icon-set/apple-icon-76x76.png"
  }), React.createElement("link", {
    key: "apple-touch-icon:114x114",
    rel: "apple-touch-icon",
    sizes: "114x114",
    href: "https://www.politico.com/interactives/cdn/images/icon-set/apple-icon-114x114.png"
  }), React.createElement("link", {
    key: "apple-touch-icon:120x120",
    rel: "apple-touch-icon",
    sizes: "120x120",
    href: "https://www.politico.com/interactives/cdn/images/icon-set/apple-icon-120x120.png"
  }), React.createElement("link", {
    key: "apple-touch-icon:144x144",
    rel: "apple-touch-icon",
    sizes: "144x144",
    href: "https://www.politico.com/interactives/cdn/images/icon-set/apple-icon-144x144.png"
  }), React.createElement("link", {
    key: "apple-touch-icon:152x152",
    rel: "apple-touch-icon",
    sizes: "152x152",
    href: "https://www.politico.com/interactives/cdn/images/icon-set/apple-icon-152x152.png"
  }), React.createElement("link", {
    key: "apple-touch-icon:180x180",
    rel: "apple-touch-icon",
    sizes: "180x180",
    href: "https://www.politico.com/interactives/cdn/images/icon-set/apple-icon-180x180.png"
  }), React.createElement("link", {
    key: "icon:32x32",
    rel: "icon",
    sizes: "32x32",
    type: "image/png",
    href: "https://www.politico.com/interactives/cdn/images/icon-set/favicon-32x32.png"
  }), React.createElement("link", {
    key: "icon:192x192",
    rel: "icon",
    sizes: "192x192",
    type: "image/png",
    href: "https://www.politico.com/interactives/cdn/images/icon-set/android-icon-192x192.png"
  }), React.createElement("link", {
    key: "icon:96x96",
    rel: "icon",
    sizes: "96x96",
    type: "image/png",
    href: "https://www.politico.com/interactives/cdn/images/icon-set/favicon-96x96.png"
  }), React.createElement("link", {
    key: "icon:16x16",
    rel: "icon",
    sizes: "16x16",
    type: "image/png",
    href: "https://www.politico.com/interactives/cdn/images/icon-set/favicon-16x16.png"
  })], !props['no-meta'] && [React.createElement("meta", {
    key: "charSet",
    charSet: "utf-8"
  }), React.createElement("meta", {
    key: "httpEquiv='Content-Type'",
    httpEquiv: "Content-Type",
    content: "text/html; charset=UTF-8"
  }), React.createElement("meta", {
    key: "httpEquiv='X-UA-Compatible'",
    httpEquiv: "X-UA-Compatible",
    content: "IE=edge,chrome=1"
  }), React.createElement("meta", {
    key: "viewport",
    name: "viewport",
    content: "width=device-width, initial-scale=1"
  })], props.publishPath && !props['no-canonical'] && [React.createElement("meta", {
    key: "og:url",
    property: "og:url",
    content: "https://politico.com/".concat(props.publishPath)
  }), React.createElement("link", {
    key: "canonical",
    rel: "canonical",
    href: "https://politico.com/".concat(props.publishPath)
  })], props.social && [React.createElement("meta", {
    key: "description",
    name: "description",
    content: props.social.twitter.card_description
  }), React.createElement("meta", {
    key: "twitter:card",
    property: "twitter:card",
    content: "summary_large_image"
  }), React.createElement("meta", {
    key: "og:type",
    property: "og:type",
    content: "article"
  }), React.createElement("meta", {
    property: "article:opinion",
    content: props.opinion
  }), React.createElement("meta", {
    key: "twitter:site",
    property: "twitter:site",
    content: "@politico"
  }), React.createElement("meta", {
    key: "twitter:creator",
    property: "twitter:creator",
    content: "@politico"
  }), React.createElement("meta", {
    key: "article:author",
    property: "article:author",
    content: "https://www.facebook.com/politico"
  }), React.createElement("meta", {
    key: "fb:app_id",
    property: "fb:app_id",
    content: "114037015331397"
  }), React.createElement("meta", {
    key: "twitter:title",
    property: "twitter:title",
    content: props.social.twitter.card_title
  }), React.createElement("meta", {
    key: "og:title",
    property: "og:title",
    content: props.social.fbook.card_title
  }), React.createElement("meta", {
    key: "twitter:description",
    property: "twitter:description",
    content: props.social.twitter.card_description
  }), React.createElement("meta", {
    key: "og:description",
    property: "og:description",
    content: props.social.fbook.card_description
  }), React.createElement("meta", {
    key: "twitter:image",
    property: "twitter:image",
    content: props.social.image.url
  }), React.createElement("meta", {
    key: "twitter:image:alt",
    property: "twitter:image:alt",
    content: props.social.twitter.card_title
  }), React.createElement("meta", {
    key: "og:image",
    property: "og:image",
    content: props.social.image.url
  }), React.createElement("meta", {
    key: "og:image:type",
    property: "og:image:type",
    content: props.social.image.type
  }), React.createElement("meta", {
    key: "og:image:width",
    property: "og:image:width",
    content: props.social.image.width
  }), React.createElement("meta", {
    key: "og:image:height",
    property: "og:image:height",
    content: props.social.image.height
  })], !props['no-battletoads'] && React.createElement("link", {
    key: "battletoads",
    rel: "stylesheet",
    type: "text/css",
    href: "https://www.politico.com/interactives/cdn/fonts/battletoads/icons/politico-battletoads-icons.min.css"
  }), !props['no-fontawesome'] && React.createElement("link", {
    key: "fontawesome",
    rel: "stylesheet",
    href: "https://use.fontawesome.com/releases/v5.3.1/css/all.css",
    integrity: "sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU",
    crossOrigin: "anonymous"
  }), !props['no-typekit'] && props['site'] === 'magazine' && [React.createElement("link", {
    key: "jubilat",
    rel: "stylesheet",
    href: "https://use.typekit.net/bvr3gvp.css"
  })], !props['no-typekit'] && [React.createElement("link", {
    key: "typekit",
    rel: "stylesheet",
    href: "https://use.typekit.net/dsx2uhv.css"
  }), React.createElement("script", {
    key: "typekit-script"
  }, "try{Typekit.load({ async: true });}catch(e){}")], props.children);
};

Head.defaultProps = {
  title: null,
  publishPath: null,
  utag: {
    activate: true,
    pageName: '',
    appName: '',
    siteSection: 'politics',
    adUnitSection: 'politics',
    contentTag: undefined,
    pageType: 'interactives',
    pageSubType: undefined,
    authors: [{
      link: 'https://www.politico.com/',
      name: 'POLITICO Staff'
    }]
  },
  seo: {
    title: '',
    description: ''
  },
  social: {
    fbook: {
      card_title: '',
      card_description: ''
    },
    twitter: {
      card_title: '',
      share_tweet: '',
      card_description: ''
    },
    image: {
      url: '',
      alt: '<Text>',
      type: 'image/jpeg',
      width: '600',
      height: '300'
    }
  },
  opinion: false,
  site: 'core',
  trackView: function trackView() {
    return null;
  },
  helmet: Helmet,
  'no-html': false,
  'no-title': false,
  'no-favicon': false,
  'no-canonical': false,
  'no-meta': false,
  'no-social': false,
  'no-battletoads': false,
  'no-fontawesome': false,
  'no-typekit': false,
  'no-jquery': false,
  'no-adBlockCookie': false,
  'no-utag': false
};

export default Head;
