import React from 'react';
import ReactDOM from 'react-dom';
import Page from 'Common/Page/';
import CodeBlock from 'Common/CodeBlock';

import Head from './index';

import Ad from '../Ad';

class App extends React.Component {
  state = {
    title: 'My Page Name',
    publishPath: 'interactives/2020/my-path/',

    utag: {
      activate: true,
      pageName: 'My Page Name',
      appName: 'My Page Name',
      siteSection: 'politics',
      adUnitSection: 'politics',
      contentTag: undefined,
      pageType: 'interactives',
      pageSubType: undefined,

      authors: [
        {
          link: 'https://www.politico.com/',
          name: 'POLITICO Staff',
        },
      ],
    },

    seo: {
      title: '',
      description: '',
    },

    social: {
      fbook: {
        card_title: '',
        card_description: '',
      },
      twitter: {
        card_title: '',
        share_tweet: '',
        card_description: '',
      },
      image: {
        url: '',
        alt: '<Text>',
        type: 'image/jpeg',
        width: '600',
        height: '300',
      },
    },

    opinion: false,
    site: 'core',

    trackView: () => null,
  };

  render() {
    return (
      <Page title='Head'>
        <Head {...this.state} site='magazine' />
        <Ad.Dynamic />
        <br />
        <p><em>The Ad does not come with this component, it's here for testing. Click <a href={`javascript:void(window.open("","utagmon","width=600,height=600,location=0,menubar=0,status=1,toolbar=0,resizable=1,scrollbars=1").document.write("<script language='JavaScript' id='utagmon' src='//tags.tiqcdn.com/utag/tealium-solutions/main/prod/utag.4.js?opt_show_enrich=0&opt_show_meta=0&opt_show_query=0&opt_show_tiq=0&opt_show_dom=0&opt_show_ecomm=0&opt_show_cookie=0&"+Math.random()+"'></"+"script>"));`}>here</a> to see the Tag Debugger.</em></p>
        <CodeBlock
          value={`import { Head } from '@politico/interactive-style';

const utag = {
  activate: true, // [true, false] -- If "false" it will not load the ad scripts
  pageName: '', // The name of the page
  appName: '', // The name of the app (different from pageName for multi-page apps)
  siteSection: 'politics', // This is the story category
  adUnitSection: 'politics', // This comes from the Ad team
  contentTag: undefined, // This comes from the ad team (optional)
  pageType: 'interactives', // This comes from Mitch
  pageSubType: undefined, // This also comes from Mitch (optional)

  authors: [
    {
      link: 'https://www.politico.com/',
      name: 'POLITICO Staff',
    },
  ],
};

const publishPath = "interactives/2019/politico-style-demo/";

const seo = {
  title: '',
  description: ''
};

const opinion = false; // [true, false]
const site = 'core'; // ["core", "magazine"]

const social = {
  'fbook': {
    'card_title': '',
    'card_description': '',
  },
  'twitter': {
    'card_title': '',
    'share_tweet': '',
    'card_description': '',
  },
  'image': {
    'url': '',
    'alt': '<Text>',
    'type': 'image/jpeg',
    'width': '600',
    'height': '300',
  },
}


<Head title={title} publishPath={publishPath} utag={utag} seo={seo} social={social} site={site} opinion={opinion}/>

/**
 * You can also choose to exclude certain sections with the "no-sectionName" props.
 * These include:
 * - no-html
 * - no-title
 * - no-meta
 * - no-canonical
 * - no-favicon
 * - no-social
 * - no-battletoads
 * - no-fontawesome
 * - no-typekit
 * - no-jquery
 * - no-adBlockCookie
 * - no-utag
 */

<Head tilte={title} publishPath={publishPath} no-typekit no-social />


/**
 * You can also pass an explicit helmet component if it's not being rendered correctly.
 * This can happen when there's version mismatches.
 */

import { Helmet } from 'react-helmet';
<Head helmet={Helmet} {...otherProps} />
        `}
        />
      </Page>
    );
  }
}

export default App;

ReactDOM.render(<App />, document.getElementById('app'));
