import $ from 'jquery';
import { makeUtagConf } from '@politico/analytics-tracker';

import cookieBlocker from './cookieBlocker';
import responsiveAdScript from './responsiveAdScript';
import adFixCode from './adFixCode';

export default (inputConf) => {
  if (typeof window === 'undefined') { return; }
  if (window.UTAG_SCRIPTS_LOADED === true) { return; }
  if (inputConf.activate === false) { return; }
  // return;

  window.jQuery = $;
  window.$ = $;
  cookieBlocker();

  console.log('\n\nInitializing Utag\n\n');

  window.utag_data = makeUtagConf(inputConf);

  window.utag_data.distribution_channel = 'politico';

  const utagScript = window.document.createElement('script');
  utagScript.src = '//tags.tiqcdn.com/utag/politico/main/prod/utag.js'; ;
  utagScript.type = 'text/javascript';
  utagScript.async = true;
  const firstScriptTag = window.document.getElementsByTagName('script')[0];
  firstScriptTag.parentNode.insertBefore(utagScript, firstScriptTag);

  // Responsive Ad Script
  responsiveAdScript();

  // Ad Fix Code
  adFixCode();

  window.UTAG_SCRIPTS_LOADED = true;
};
