import React from 'react';
import classnames from 'classnames';

import styles from './styles.scss';

class SkipNav extends React.PureComponent {
  render() {
    return (
      <div className={classnames('skip-nav', styles.styles)}>
        <ul className='skip-nav__list'>
          <li className='skip-nav__action'>
            <button
              className='skip-nav__link'
              onClick={() => {
                document.querySelector('#maincontent').focus();
              }}
            >Skip to main content
            </button>
          </li>
          <li className='skip-nav__action'>
            <button
              className='skip-nav__link'
              onClick={() => {
                document.querySelector('#sitemap').focus();
              }}
            >Skip to footer site map
            </button>
          </li>
        </ul>
      </div>
    );
  }
}

export default SkipNav;

export const SkipToMainContent = () => {
  return (<div id='maincontent' tabIndex='-1' />);
};

export const SkipToSitemap = () => {
  return (<div id='sitemap' tabIndex='-1' />);
};
